Script Speichern in für Fx 78 wieder anpassen

Du benötigst Hilfe bezüglich Firefox? Bitte stelle deine Frage im öffentlichen Bereich des Forums und nicht per Konversation an wahllos ausgesuchte Benutzer. Wähle dazu einen passenden Forenbereich, zum Beispiel „Probleme auf Websites“ oder „Erweiterungen und Themes“ und klicke dann rechts oben auf die Schaltfläche „Neues Thema“.
  • Ergänzung: Mach es dir etwas einfacher: Tausche am Ende deines jetzigen Skriptes in Fx 78.0.2 die Zeile mit dem Text

    Danke, milupo, für deine Bemühungen, aber ich kann machen was ich will, aber es tritt immer wieder dieses Problem auf, auch im Nightly. Ich hatte ja oben schon beschrieben, was ich alles unternommen habe, aber nichts hilft. Ich glaube jetzt aber fast daran, dass zwischen Script und Win10 etwas nicht funktioniert, zumindest in der neuen Version Win10.

    Wichtig ist, das muss aktiviert sein:

    Ja, Andreas, es will trotzdem nicht gelingen.:/;(

    Grüße vom FuchsFan

  • Es hängt wohl irgendwie mit der Programmverknüpfung zusammen. Wenn ich von der Notepad++-Downloadseite die Installer-Version (.exe) herunterlade, habe ich das Problem nicht

    Übersetzer für Obersorbisch und Niedersorbisch auf pontoon.mozilla.org u.a. für Firefox, Firefox für Android, Firefox für iOS, Firefox Klar/Focus für iOS und Android, Thunderbird, Pootle, Django, LibreOffice, WordPress und Facebook

  • Auch hier werkelt Win10Pro 2004, Build 19041.388

    19041.388 und 19042.388 fast identisch, bekommen ja die gleichen Updates. Deswegen ist das durchaus möglich, dass es mit diesen Systemen nicht kompatibel ist.


    Es hängt wohl irgendwie mit der Programmverknüpfung zusammen. Wenn ich von der Notepad++-Downloadseite die Installer-Version (.exe) herunterlade, habe ich das Problem nicht

    Das ist es ja , milupo, da habe ich in Win10 schon bei den Dateien (Zuordnung) geschaut, ob man da etwas ändern könnte, aber nichts dazu entdeckt.

    Grüße vom FuchsFan

    Einmal editiert, zuletzt von FuchsFan () aus folgendem Grund: Ein Beitrag von FuchsFan mit diesem Beitrag zusammengefügt.

  • Es hängt wohl irgendwie mit der Programmverknüpfung zusammen. Wenn ich von der Notepad++-Downloadseite die Installer-Version (.exe) herunterlade, habe ich das Problem nicht

    Bei der .exe passiert hier auch nichts - wohl aber bei .zip, oder .pdf...

  • 19041.388 und 19042.388 fast identisch, bekommen ja die gleichen Updates. Deswegen ist das durchaus möglich, dass es mit diesen Systemen nicht kompatibel ist.

    Das liegt wahrscheinlich nicht am Betriebssystem. Ich habe das Problem bei Fx 78.0.2 ja auch und mein Windows Update ist ja noch nicht durch. Mein Verdacht fällt dann eher auf Fx 78.0.2. Es wurde ein Bug in Bezug auf das Öffnen externer Anwendungen gefixt, siehe folgenden Artikel von Sören:


    Mozilla veröffentlicht Sicherheits-Update Firefox 78.0.2


    Daraus der folgende Satz: „Weiter wurde ein Fehler beim Öffnen bestimmter externer Anwendungen behoben, sowie ein Barrierefreiheits-Problem in der Leseansicht.


    Möglicherweise ist dadurch jetzt unser Problem entstanden. Der dazugehörige Bugreport ist wohl:


    https://bugzilla.mozilla.org/show_bug.cgi?id=1650162


    Allerdings bezog sich der Bug auf die Website von Microsoft Teams. Vielleicht kann uns Sören hier helfen.

    Übersetzer für Obersorbisch und Niedersorbisch auf pontoon.mozilla.org u.a. für Firefox, Firefox für Android, Firefox für iOS, Firefox Klar/Focus für iOS und Android, Thunderbird, Pootle, Django, LibreOffice, WordPress und Facebook

  • Ich kann hier nicht helfen, da es um ein Problem mit einem Script geht und die Anleitungen zur Einrichtung hier meines Wissens auf macOS nicht funktionieren. Und mozregression kann ich auch nicht einsetzen, weil das unter macOS 11 Developer Beta 2 nicht funktioniert.


    Das Problem, um das es in dem verlinkten Bugzilla-Ticket geht, hat jedenfalls nicht nur Microsoft Teams betroffen. Der Ersteller des Tickets hatte halt Probleme mit Teams und entsprechend dreht sich seine Beschreibung darum. Das Problem hat aber auch andere Anwendungen betroffen.

  • Mein Verdacht fällt dann eher auf Fx 78.0.2.

    Du magst ja Recht haben, aber ich habe da meine Zweifel. Um das nämlich auszuschließen, deshalb habe ich ja die ältere Version 76.0 getestet, aber auch hier trat ja der Fehler auf. Und noch einmal, wenn ich das Script raus nehme, dann tritt das Problem nicht mehr auf. Deshalb gehe ich davon aus, dass Script und Win10 den Fehler bringen.

    Grüße vom FuchsFan

  • Deshalb gehe ich davon aus, dass Script und Win10 den Fehler bringen.

    Das Skript in seiner jetzigen Form gab es unter Fx 76.0 nicht. Da musst du die alte Version des Skripts testen. Das Skript in seiner jetzigen Form funktionierte ab Fx 78.0/Fx 78.0.1, das alte Skript funktionierte da nicht mehr. Da war das Problem noch nicht da. Erst jetzt, wahrscheinlich mit Fx 78.0.2 tritt das Problem auf. Außerdem: Ein Benutzerskript hört nicht einfach auf zu funktionieren, sondern hängt von Firefox ab. Und da kam Fx 78.0.2. Windows spielt hier keine Rolle, da ja bei mir kein Windows-Update stattgefunden hat.

    Übersetzer für Obersorbisch und Niedersorbisch auf pontoon.mozilla.org u.a. für Firefox, Firefox für Android, Firefox für iOS, Firefox Klar/Focus für iOS und Android, Thunderbird, Pootle, Django, LibreOffice, WordPress und Facebook

  • Um mal Gijs vom genannten Bugzilla-Ticket zu zitieren:


    Zitat


    Is there somewhere public where I can reproduce this problem? And can any of the folks reproducing it try switching security.allow_disjointed_external_uri_loads to true in about:config, restart Firefox, and check if the problem still occurs?


    Ändert, wer betroffen scheint, doch mal den genannten Parameter:


    Code
    security.allow_disjointed_external_uri_loads
  • Die Einstellung stand auf „true“, ich habe sie auf „false“ gesetzt. Das Problem bleibt.

    Übersetzer für Obersorbisch und Niedersorbisch auf pontoon.mozilla.org u.a. für Firefox, Firefox für Android, Firefox für iOS, Firefox Klar/Focus für iOS und Android, Thunderbird, Pootle, Django, LibreOffice, WordPress und Facebook

  • Das Skript in seiner jetzigen Form gab es unter Fx 76.0 nicht. Da musst du die alte Version des Skripts testen.

    Richtig, milupo, das habe ich nicht bedacht. Mit der alten Version des Scriptes tritt der Fehler mit v76.0 nicht auf.

    Grüße vom FuchsFan

  • Es hängt wohl irgendwie mit der Programmverknüpfung zusammen. Wenn ich von der Notepad++-Downloadseite die Installer-Version (.exe) herunterlade, habe ich das Problem nicht

    Hallo, milupo!:)


    Ich konnte mich einfach nicht damit abfinden, wieso das einfach nicht klappen will. Heute habe ich einen älteren Fox, Version 71.0. , genommen und ihn zuallererst aktualisiert. Das lief folgendermaßen ab, erst wurde auf Version 72.0.2 aktualisiert, darauf dann das Update auf Version 78.0.2. Im Anschluss habe ich dann das neue Script eingefügt, notepad++.zip geladen, und es funktionierte, ohne, dass das Archiv geöffnet wurde.

    Dabei ist mir aufgefallen, dass ich bisher bei Downloads erst in dem Dialog immer den Punkt aus "Öffnen mit" nach "Datei speichern" einfügen musste. Hier in der aktualisierten Version brauchte ich das nicht, denn dort war gleich "Datei speichern" als Auswahl vorgegeben, und deshalb wird es hier auch tadellos funktioniert haben. Aber warum ist das nicht in den anderen Fox-Versionen, wo es dann auch die Probleme gibt.

    Grüße vom FuchsFan

  • Danke. Probier ich morgen aus...

    Der Firefox 71.0 aus Beitrag #55 war eine fertig konfigurierte Version (natürlich veraltet), damit funktioniert es auch fehlerlos. Nun habe ich heute versucht Beta (v.63) und Nightly (v.69) auch so einzurichten, aber hier tritt das Problem immer noch auf. Im Gegensatz zu Version 71 waren diese beiden Dateien original exe-Dateien, die ich erst einrichten musste. Was passiert da in Firefox, liebe Experten?:/


    Edit:

    Und es geht doch!!:thumbup:

    Wichtig dabei ist, dass ein Profilordner zur Verfügung steht, wo das Script seine Arbeit ohne Fehler verrichtet.

    Ich habe jetzt das funktionierende Profil genommen, jeweils in Beta und Nightly eingefügt, und es funktioniert ohne Probleme. Es ist dann eventuell etwas Nacharbeit angesagt (je nach persönlichen Vorgaben), aber immer noch besser, als wenn es überhaupt nicht läuft.

    Grüße vom FuchsFan

    2 Mal editiert, zuletzt von FuchsFan ()

  • Hatte ich doch gesagt

    Habe ich in Erinnerung, trotzdem will das nicht in meinen Kopf, wieso das bei einem neu installierten und vorbereiteten Fox (portable) einfach nicht funktioniert. Aber das werde ich wohl nicht mehr raus bekommen.:rolleyes:


    Aber ist ja nun auch nicht mehr so wichtig.;):)

    Grüße vom FuchsFan